<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();

if (isset($_REQUEST['selBType']) && $_REQUEST['selBType']!="")
{
	$selBType = $_REQUEST['selBType'];
}
else if(isset($_SESSION['selBType']))
{
	$selBType = $_SESSION['selBType'];
}
else
{
	$selBType = '';
}

$pagename = basename($_SERVER['PHP_SELF']);
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="../../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(7,1); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        <i class="fa fa-leaf"></i>&nbsp;Reports&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
                        <li>Reports</li>
						<li>Chartering</li>
						<li class="active">Vessel Open Position Report</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
					<!--   content put here..................-->
					<div class="box box-primary">
						<h3 style=" text-align:center;">Vessel Open Position Report</h3>
                        <form name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>"/>
						<div class="row invoice-info" style="margin-left:7px;margin-right:7px;">
						    <!--<div class="col-sm-2">
								Date From
								<address>
									<input type="text" name="txtFrom_Date" id="txtFrom_Date" class="form-control" value="" autocomplete="off" placeholder="dd-mm-yyyy">
								 </address>
							</div>
							
							<div class="col-sm-2">
								Date To
								<address>
									<input type="text" name="txtTo_Date" id="txtTo_Date" class="form-control" value="" autocomplete="off" placeholder="dd-mm-yyyy">
								 </address>
							</div>-->
                            <div class="col-xs-3">
							     Business Type
								 <address>
                                 <select name="selBType" id="selBType" class="form-control" onChange="getSubmit();">
								   <?php echo $obj->getBusinessTypeList1($selBType);?>
                                  </select>  
								  </address>                
							</div><!-- /.col -->
							<div class="col-xs-6">&nbsp;
							</div>
							<div class="col-sm-2">
								&nbsp;<address>
								<a href="#" title="Pdf" onClick="getPdf();"><button class="btn btn-default" style="margin-right: 5px;" type="button"><i class="fa fa-download"></i>Generate PDF</button></a>
								</address>
							</div>
						</div>
						
						<div style="overflow:auto;">
							<div class="box-body table-responsive" style="overflow:auto;">
								<table id="vessel_list" class="table table-bordered table-striped">
									<thead>
									<tr>
										<th align="left" valign="top" width="5%">#</th>
										<th align="left" valign="top" width="15%">Vessel Name</th>
										<th align="left" valign="top" width="15%">Vessel Type</th>	
										<th align="left" valign="top" width="15%">Last Business(Voyage/TC)</th>	
										<th align="left" valign="top" width="15%">Last Dis Port/Port Open</th>
										<th align="left" valign="top" width="15%">Date Open</th>
										<th align="left" valign="top" width="15%">Last Cargo</th>
										<th align="left" valign="top" width="15%">Last Cargo Size(MT)</th>
									</tr>
									</thead>
									<tbody id="tbody1">
										
									</tbody>
								</table>
							</div>
						</div>
						</form>
					</div>
					<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<script src="../../js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
<script src="../../js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>
<script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<link href="../../css/datepicker/datepicker.css" rel="stylesheet" type="text/css" />
<script src="../../js/plugins/datepicker/bootstrap-datepicker.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>
<script type="text/javascript">
$(document).ready(function(){
    $('#txtFrom_Date').datepicker({
		format: 'dd-mm-yyyy',
		autoclose: true,
		todayBtn: true,
		minuteStep: 1
		}).on('changeDate', function(){
		$('#txtTo_Date').datepicker('setStartDate', new Date(getString($(this).val())));
	});
	
	$('#txtTo_Date').datepicker({
		format: 'dd-mm-yyyy',
		autoclose: true,
		todayBtn: true,
		minuteStep: 1
	}).on('changeDate', function(){ getData(); });
	$("#vessel_list").dataTable({
    "iDisplayLength": 100
    });
	getData();
});

function getString(var1)
{
  var var2 = var1.split('-');  
  return var2[2]+'/'+var2[1]+'/'+var2[0];
}

function getData()
{
	var table = $('#vessel_list').DataTable();
	if(table != null)$('#vessel_list').dataTable().fnDestroy();
	$('#tbody1').html("");
	$('#tbody1').html('<tr><td align="center" colspan="7"><img src="../../img/loading.gif" /></span></td></tr>');
	$.post("options.php?id=78",{selBType:""+$("#selBType").val()+""}, function(html) {
		$('#tbody1').html("");
		$('#tbody1').html(html);
		$("#vessel_list").dataTable({
		"iDisplayLength": 100
		});
	});
}

function getPdf()
{
	location.href='allPdf.php?id=78&selBType='+$("#selBType").val();
}

function getExcel()
{
	location.href='allExcel.php?id=7&selBType='+$("#selBType").val();
}
 
 
function getSubmit()
{ 
	document.frm1.submit();
}
</script>
		
</body>
</html>